package sample.sample15;

public class Sample15_1 {
	public static void main(String[] args) {
		哺乳類[] 動物たち = new 哺乳類[2];
		動物たち[0] = new 猫();
		動物たち[1] = new 犬();

		for (哺乳類 動物 : 動物たち) {
			動物.鳴く();

			if (動物 instanceof 犬) {
				犬 犬 = (犬) 動物;
				犬.吠える();
			}
			
			System.out.println("この動物は" + 動物.getName() + "でした\n");
		}
	}
}
